summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-02-06 15:26:12 +0000
committerJim Meyering <jim@meyering.net>2004-02-06 15:26:12 +0000
commit26470e56d9894a1f9191ef11692636b133ae41ba (patch)
treeb7b9e4f8da7d378a51ddcb4ad223abe0038cb518 /tests
parent9a70dde66bbde1e653661796ab38ec24c0b7b7ec (diff)
downloadcoreutils-26470e56d9894a1f9191ef11692636b133ae41ba.tar.xz
(deep): Remove progress-style diagnostics,
since this test doesn't take long enough to merit them. Run du on $tmp (the containing dir), not $deep, the full path to leaf.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/rm/deep-17
1 files changed, 2 insertions, 5 deletions
diff --git a/tests/rm/deep-1 b/tests/rm/deep-1
index 2b7396b02..3ed0f3cc6 100755
--- a/tests/rm/deep-1
+++ b/tests/rm/deep-1
@@ -32,21 +32,18 @@ k_deep=$k200$k200
# Create a directory in $tmp with lots of `k' components.
deep=$tmp$k_deep
-echo "creating a hierarchy 400 deep in $tmp..." |tr -d '\n'
mkdir -p $deep || fail=1
-echo done
# Make sure the deep dir was created.
test -d $deep || fail=1
-# Make sure du can handle it without lots using of stack.
+# Make sure du can handle it without using lots of stack.
# Before switching to the non-recursive, fts-based version of du,
# this invocation of du would require a stack of at least 115KB
# on an x86 linux-2.4.22 system. The fts-based version needs
# only 8KB on that same system.
-( ulimit -s 50; du -s $deep > /dev/null ) || fail=1
+( ulimit -s 50; du -s $tmp > /dev/null ) || fail=1
-echo "deleting $tmp..." |tr -d '\n'
rm -r $tmp || fail=1
echo done